in vec2 uv;

uniform sampler2D tex;

layout (location = 0) out vec4 fragColor;

void main()
{
    vec3 texColor = texture(tex, uv).rgb;

    // B/W effect
    // float average = 0.2126 * texColor.r + 0.7152 * texColor.g + 0.0722 * texColor.b;
    // fragColor = vec4(average, average, average, 1.0);

    // from sRGB to linear
    // fragColor.rgb = pow(texColor, vec3(2.2));
    fragColor = vec4(texColor, 1.0);
}
